## haskell-libffi 0.1

=== examples/Makefile ===
.PHONY: all clean

all: MemSpeed CCall CTime mytime.so

%.o: %.c
	gcc $(CFLAGS) -fPIC -c $<

%.so: %.o
	gcc $(LDFLAGS) -nostartfiles -shared -Wl,-soname,$@ $< -o $@

mytime.so: mytime.o

%.hs: %.hsc
	hsc2hs -I/usr/lib/ghc-6.10.1/include $<

%: %.hs
	ghc --make $<

CTime: CTime.hs

clean:
	rm -f MemSpeed CCall CTime CTime.hs *.o *.hi *.so core core.*

=== debian/changelog ===
haskell-libffi (0.1-2) unstable; urgency=medium

  * source upload for testing migration

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 07 Oct 2022 14:27:18 +0200

haskell-libffi (0.1-1) unstable; urgency=low

  * Initial release

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 29 Sep 2022 10:58:38 +0200

=== debian/control ===
Source: haskell-libffi
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 ghc-prof,
 libffi-dev,
 pkg-config,
Build-Depends-Indep: ghc-doc,
Standards-Version: 4.6.1
Homepage: https://hackage.haskell.org/package/libffi
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-libffi
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
X-Description: A binding to libffi
 A binding to libffi, allowing C functions of types only known at runtime to be called from Haskell.

Package: libghc-libffi-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-libffi-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-libffi-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_BIN_NAME = debian/hlibrary.setup
DEB_CABAL_PACKAGE = libffi
DEB_DEFAULT_COMPILER = ghc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-libffi 0.2.1

=== debian/changelog ===
haskell-libffi (0.2.1-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 14 Sep 2024 22:48:51 +0300

haskell-libffi (0.2.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add package path in Vcs-Git header.

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 28 Aug 2023 17:23:28 +0300

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Build-Depends: debhelper (>= 10),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 9.6),
  ghc-prof,
  libffi-dev,
  pkg-config,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 4.6.1
-Homepage: https://hackage.haskell.org/package/libffi
+Standards-Version: 4.7.0
+Homepage: http://haskell.org/haskellwiki/Library/libffi
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-libffi
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-libffi]
 X-Description: A binding to libffi
  A binding to libffi, allowing C functions of types only known at runtime to be called from Haskell.

=== debian/watch ===
version=3
https://hackage.haskell.org/package/libffi/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
